###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################

# required stuff
find_package( TQt )
find_package( TDE )

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


##### check for gcc visibility support

if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( WITH_GCC_VISIBILITY )


##### support for libiw

if( WITH_LIBIW )
check_include_file( "iwlib.h" IW_HEADER )
find_library( IW_LIBRARIES NAMES iw )

if( IW_HEADER AND IW_LIBRARIES )
   set( HAVE_LIBIW 1 )
    else()
   tde_message_fatal( "libiw support is requested but was not found on your system" )
endif( IW_HEADER AND IW_LIBRARIES )
endif( WITH_LIBIW )
